Building Tremulous 1.1 from darklegion

I am trying to build tremulous 1.1. Here are my steps:

  1. git clone repository from https://github.com/darklegion/tremulous

  2. make

  3. Copy data files into base folder:
    map-atcs-1.1.0.pk3
    map-uncreation-1.1.0.pk3
    map-karith-1.1.0.pk3
    data-1.1.0.pk3
    map-nexus6-1.1.0.pk3
    server.cfg
    map-niveus-1.1.0.pk3
    maprotation.cfg
    map-transit-1.1.0.pk3
    map-arachnid2-1.1.0.pk3
    map-tremor-1.1.0.pk3
    vms-1.1.0.pk3

  4. Run from console.

Issue A:
Run and I get this


Console: https://pastebin.com/5hKHfWPF

Fix by copying data-gpp1.pk3 into base folder. I don’t know why this works, but I don’t want to have to use this file since it doesn’t come with Tremulous 1.1.

Issue B:
Run with undesired fix to A.
Does not find servers: https://pastebin.com/EhQGghEX
Also crashes when create server: https://pastebin.com/ZVS4AsFH

Please help
A. I don’t know why this works and would like to get rid of data-gpp1.pk3 to have a clean 1.1 build.
B. Don’t know why this doesn’t work.

Hey, the source code you’re trying to compile is in fact, not 1.1. You are compiling the 1.2 gpp client, which is why you need data-gpp1.pk3. You can find the source code for 1.1 on sourceforge I think. Also, this client code is super outdated and usually only compiles and runs well on really old OS’s. I suggest you refrain from using the old darklegion clients and use something like tremfusion or 1.3. A link to tremfusion can be found here: https://mirror.kdude63.com/mercenaries_guild/archive/Client_Binaries/TremFusion/ and a link to 1.3 can be found here: https://github.com/GrangerHub/tremulous/releases

1 Like

Ok thanks, this was very helpful.

1 Like
© GrangerHub. All rights reserved. Tremulous © Darklegion Development. Granger by err-overflow and MoP licensed CC-BY-SA-2.5